/*
 *		separator
 *
 *	spit R, G and B planes as three .PGM file
 */

#include   <stdio.h>
#include   <stdlib.h>
#include   <stdint.h>

#include   <floatimg.h>

int		verbosity;

/* ------------------------------------------------------------------- */
int separator(char *inputfile, int notused)
{
FloatImg		image;
int			foo;

foo = fimg_create_from_dump(inputfile, &image);
if (foo) {
	fprintf(stderr, "%s: load of %s failed, %d\n", __func__,
				inputfile, foo);
	exit(1);
	}

foo = fimg_save_plane_as_pgm(&image, "red.pgm", 'r');
if (foo) {
	fprintf(stderr, "err save red %d\n", foo);
	// return -6;
	}
foo = fimg_save_plane_as_pgm(&image, "green.pgm", 'g');
if (foo) {
	fprintf(stderr, "err save green %d\n", foo);
	// return -6;
	}
foo = fimg_save_plane_as_pgm(&image, "blue.pgm", 'b');
if (foo) {
	fprintf(stderr, "err save blue %d\n", foo);
	// return -6;
	}

return 0;
}
/* ------------------------------------------------------------------- */

int main(int argc, char *argv[])
{
int			foo;

verbosity = 0;

if (2 != argc) {
	fprintf(stderr, "sorry, but %s need an input filename\n", argv[0]);
	exit(1);
	}

// fimg_print_version(1);

foo = separator(argv[1], 0);
if (foo) fprintf(stderr, "separator --> %d\n", foo);

return 0;
}
/* ------------------------------------------------------------------- */
